/*
 * Copyright (c) 2017, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id$
 */

package com.sun.ts.tests.jsonb.defaultmapping.basictypes.model;

import com.sun.ts.tests.jsonb.TypeContainer;

public class NumberContainer implements TypeContainer<Number> {
    private Number instance = 0;

    @Override
    public Number getInstance() {
        return instance;
    }

    @Override
    public void setInstance(Number instance) {
        this.instance = instance;
    }
    
	@Override
    public boolean equals(Object obj) {    
    	if (NumberContainer.class.isInstance(obj)) {
    			return instance.equals(((NumberContainer)obj).instance);
    	}
    	return false;
    }
}
